Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » I cant start eclipse(An error has ocurred. See the log file.)
I cant start eclipse [message #1774934] Sat, 21 October 2017 18:44 Go to next message
Bruno Venesia is currently offline Bruno VenesiaFriend
Messages: 3
Registered: October 2017
Junior Member
I cant start eclipse, when i do double click on eclpse.exe apeears a window that says :"An error has ocurred. See the log file." And the direction of the log file. The log file says

!SESSION 2017-10-21 15:36:46.779 -----------------------------------------------
eclipse.buildId=4.3.0.M20130911-1000
java.version=9.0.1
java.vendor=Oracle Corporation
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=es_AR
Framework arguments: -product org.eclipse.epp.package.java.product
Command-line arguments: -os win32 -ws win32 -arch x86_64 -product org.eclipse.epp.package.java.product

!ENTRY org.eclipse.osgi 4 0 2017-10-21 15:36:47.347
!MESSAGE Startup error
!STACK 1
java.lang.RuntimeException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:233)
at org.eclipse.osgi.framework.internal.core.Framework.launch(Framework.java:656)
at org.eclipse.core.runtime.adaptor.EclipseStarter.startup(EclipseStarter.java:275)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:177)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at java.base/jdk.internal.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at java.base/jdk.internal.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.base/java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:636)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:591)
at org.eclipse.equinox.launcher.Main.run(Main.java:1450)
at org.eclipse.equinox.launcher.Main.main(Main.java:1426)
Caused by: org.osgi.framework.BundleException: Exception in org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start() of bundle org.eclipse.osgi.
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:734)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.start(BundleContextImpl.java:683)
at org.eclipse.osgi.framework.internal.core.InternalSystemBundle.resume(InternalSystemBundle.java:225)
... 11 more
Caused by: java.lang.IllegalStateException: The System Bundle could not be resolved: Missing Constraint: Bundle-RequiredExecutionEnvironment: J2SE-1.5
at org.eclipse.osgi.internal.baseadaptor.BaseStorage.checkSystemState(BaseStorage.java:827)
at org.eclipse.osgi.internal.baseadaptor.BaseStorage.getStateManager(BaseStorage.java:800)
at org.eclipse.osgi.baseadaptor.BaseAdaptor.getState(BaseAdaptor.java:387)
at org.eclipse.osgi.internal.baseadaptor.BaseStorage.frameworkStart(BaseStorage.java:923)
at org.eclipse.osgi.baseadaptor.BaseAdaptor.frameworkStart(BaseAdaptor.java:250)
at org.eclipse.osgi.framework.internal.core.SystemBundleActivator.start(SystemBundleActivator.java:60)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl$1.run(BundleContextImpl.java:711)
at java.base/java.security.AccessController.doPrivileged(Native Method)
at org.eclipse.osgi.framework.internal.core.BundleContextImpl.startActivator(BundleContextImpl.java:702)
... 13 more
Re: I cant start eclipse [message #1774974 is a reply to message #1774934] Mon, 23 October 2017 06:00 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 5534
Registered: July 2009
Senior Member
Hi

"Caused by: java.lang.IllegalStateException: The System Bundle could not be resolved: Missing Constraint: Bundle-RequiredExecutionEnvironment: J2SE-1.5"

If you really want Java 5 you should provide it.

IIRC this caused by non Java at all so that on Windows you fallback on msJava.

Regards

Ed Willink
Re: I cant start eclipse [message #1774977 is a reply to message #1774974] Mon, 23 October 2017 06:37 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29040
Registered: July 2009
Senior Member
Actually, the problem appears to be the use of Java 9 which only works out of the box for Oxygen 1.a. Otherwise you need to follow the instructions in https://wiki.eclipse.org/Configure_Eclipse_for_Java_9#Configure_Eclipse_for_Java_9_modules
Re: I cant start eclipse [message #1775038 is a reply to message #1774977] Mon, 23 October 2017 23:12 Go to previous messageGo to next message
Bruno Venesia is currently offline Bruno VenesiaFriend
Messages: 3
Registered: October 2017
Junior Member
Ok but one problem i have is im new on programation and i dont know how to access to eclipse.ini so at least i can start doing something. Im kind of stack where i am right now.
Re: I cant start eclipse [message #1775049 is a reply to message #1775038] Tue, 24 October 2017 07:55 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29040
Registered: July 2009
Senior Member
Install the latest Eclipse available from https://www.eclipse.org/downloads/
Re: I cant start eclipse [message #1775122 is a reply to message #1775049] Wed, 25 October 2017 00:10 Go to previous messageGo to next message
Bruno Venesia is currently offline Bruno VenesiaFriend
Messages: 3
Registered: October 2017
Junior Member
Thanks man.
Re: I cant start eclipse [message #1775288 is a reply to message #1775122] Fri, 27 October 2017 08:24 Go to previous messageGo to next message
Eclipse UserFriend
If I delete the default workspace (/home//workspace) and the start eclipse then everything works fine. Therefore I changed the default workspace to somewhere else and it worked charmly. In eclipse, go to File-> switch workspace and create another workspace somewhere Window-> Preferences-> General-> Startup and Shutdown-> Workspace then in the "Recent workspaces" window, remove your default workspace and apply your newly created workspace Hope this help
Re: I cant start eclipse [message #1775294 is a reply to message #1775288] Fri, 27 October 2017 09:51 Go to previous message
Ed Merks is currently offline Ed MerksFriend
Messages: 29040
Registered: July 2009
Senior Member
Your suggestion is not related to the problem. It's clear from eclipse.buildId=4.3.0.M20130911-1000 that the build is very old, and from java.version=9.0.1 that Java 9 is being used. No amount of deleting workspaces is going to make this work. Please try to keep your answers focused on the question topic.
Previous Topic:What's the difference between getResource and getUnderlyingResource in IJavaElement
Next Topic:Oxygen: Stop debugger from breaking on Java.* exceptions
Goto Forum:
  


Current Time: Sun Dec 17 13:53:54 GMT 2017

Powered by FUDForum. Page generated in 0.02022 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software